Bug 508683 - [PATCH] SyntaxError: Non-ASCII character '\xc3' in file /usr/bin/rpmdiff
[PATCH] SyntaxError: Non-ASCII character '\xc3' in file /usr/bin/rpmdiff
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: EasyFix, Patch, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 09:35 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 01:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-06-29 09:35:45 EDT
Description of problem:

newman@dhcp-lab-124 devel $ rpmdiff /home/newman/rpmbuild/RPMS/x86_64/libev-3.60-1.fc11.x86_64.rpm /home/newman/rpmbuild/RPMS/x86_64/libev-3.53-1.fc11.x86_64.rpm 
  File "/usr/bin/rpmdiff", line 3
SyntaxError: Non-ASCII character '\xc3' in file /usr/bin/rpmdiff on line 3, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details

Affected line:

> # Copyright (C) 2006 Mandriva; 2009 Red Hat, Inc.; 2009 Ville Skyttä
`--------------------------------------------------------------------^

[poor] Remove the 'ä' and thus became ASCII
[better] 

--- rpmdiff	2009-06-29 15:34:13.000000000 +0200
+++ rpmdiff.new	2009-06-29 15:34:25.000000000 +0200
@@ -1,4 +1,5 @@
 #!/usr/bin/python -tt
+# -*- coding: utf-8 -*-
 #
 # Copyright (C) 2006 Mandriva; 2009 Red Hat, Inc.; 2009 Ville Skyttä
 # Authors: Frederic Lepied, Florian Festi


Version-Release number of selected component (if applicable):

rpmlint-0.89-1.fc11.noarch

How reproducible:

always
Comment 1 Ville Skyttä 2009-06-29 11:24:47 EDT
Ouch, thanks for the catch.  0.90 will follow shortly.
Comment 2 Fedora Update System 2009-06-29 11:46:33 EDT
rpmlint-0.90-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.90-1.fc11
Comment 3 Fedora Update System 2009-06-29 11:48:50 EDT
rpmlint-0.90-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.90-1.fc10
Comment 4 Fedora Update System 2009-07-16 03:27:09 EDT
rpmlint-0.90-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-07-16 03:29:46 EDT
rpmlint-0.90-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.